import globalEvent from "$utils/tool/globalEvent";

export default {

    data(){
        return {
            giftModal:false,
            emojiModal:false
        }
    },

    methods:{
        toggleGift(){
            this.giftModal = !this.giftModal;
            if (this.giftModal) {
                this.emojiModal = false;
            }
        },

        // 打开emoji
        toggleEmoji(){
            this.emojiModal = !this.emojiModal;
            if (this.emojiModal) {
                this.giftModal = false;
            }
        },

        hiddenModal(){
            this.giftModal = false;
            this.emojiModal = false;
        }
    }

}
